Easy way to apply a face to autocad import?
-
I've got a series of 2D autocad files that I've imported with su7pro. There are a lot of areas where I'd like to have su8 treat them as filled. Is there any easy way to have su8 recognize the area and put a filled plane on it? Short of having to move or redrawn an edge on all of them. It'd be really handy to have a paint bucket sort of tool that did this. Click inside an area and have it create a facet across the bounding edges of it. Or select an edge of an area and have a facet created to cover it.
Any plugins out there that do this sort of thing?
Otherwise it gets darned tedious trying to properly zoom in closely enough and move or change just the right lines to make su8 automagically detect the area as enclosed.
And is there a way to specifically move just one point of a line to a specific point in 3D-space? As in, move just one line back to zero on a given plane to bring it in line with others on that plane.
Thanks,
-Bill Kearney -
Hi Bill,
to move a point input [x,y,z] including the brackets and commas into the VCB where x/y/z are the locations where you want the point
to clean up imported CAD files there are some commercial plugins on smustard.com
to make a series of point planar there are several tools available. You could also drape the geometry onto a flat plane using the Sandbox tools
-
Also, sometimes dxf/dwg files are imported as groups, so you may have to double click into that group to be able to form the face.
-
Based on past discussions which I can't seem to locate at the moment, the problem with faces, in imported models, are small gaps between the edges which need to be closed. My plugin Snap2Grid might help in the matter. To form the faces of selected edges, you can use this "one liner" in the Ruby Console
Sketchup.active_model.selection.each{|e| e.find_faces if e.class==Sketchup;;Edge}
-
My favorite workflow for importing cad files is as follows.
- I export from cad in controlled chunks. Meaning I export the topo first, then the sitework like sidewalks, parking lots, etc. I import those separate portions into SketchUp and deal with them one by one.
- I first run Todd Burch's "Make Faces". This goes through and makes faces of all the linework that it can find. It often leaves lots of faces unclosed, typically because the linework does not import from cad cleanly enough.
- So, to clean up the linework, I like to use "Stray Lines". It might be a little tedious, but once you get the hang of it, it goes by quickly. This script label every line the does not connect to another line. Typically those are lines that connect in autocad, but lose their connection in SketchUp. It is then a matter of going around and either connecting each line that is labeled, or deleting the tiny line segment if it slightly longer than needed.
- Then I rerun makefaces. And then anything that still won't turn into a face, I being troubleshooting by drawing lines across the surface where the face should be. Eventually it will start closing in some places, some places will not close. Keep doing that until you can find exactly where the troubled line is that is keeping the face from closing. Then fix it.
And then once I get that done, I begin to import the next portion of my cad work.
Smustard does have some great tools that speed up that process. One is close opens, the other is delete short lines. Both of those can be very useful for automating the process I go through in the step where I label all stray lines. Those two scripts will delete all tiny edges that typically are not needed, or will auto-extend a line if it is a short distance from another edge and appears like it should just be a closed line.
Anyhow, good luck!
Chris
Advertisement